Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.driver.textui
Class ReportErrorHandler

    java.lang.Object
      com.sun.msv.driver.textui.ReportErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

public class ReportErrorHandler
extends java.lang.Object
implements org.xml.sax.ErrorHandler

`ErrorHandler` that reports all errors and warnings. SAX parse errors are also handled.

Author:
  Kohsuke KAWAGUCHI

Field Summary
`boolean` | `hadError`
`static java.lang.String` | `MSG_ERROR`
`static java.lang.String` | `MSG_FATAL`
`static java.lang.String` | `MSG_TOO_MANY_ERRORS`
`static java.lang.String` | `MSG_WARNING`

Constructor Summary
`ReportErrorHandler()`

Method Summary
`void` | `error(org.xml.sax.SAXParseException e)`
`void` | `fatalError(org.xml.sax.SAXParseException e)`
`void` | `warning(org.xml.sax.SAXParseException e)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hadError

    public boolean hadError

### MSG_TOO_MANY_ERRORS

    public static final java.lang.String MSG_TOO_MANY_ERRORS

See Also:
  Constant Field Values

### MSG_ERROR

    public static final java.lang.String MSG_ERROR

See Also:
  Constant Field Values

### MSG_WARNING

    public static final java.lang.String MSG_WARNING

See Also:
  Constant Field Values

### MSG_FATAL

    public static final java.lang.String MSG_FATAL

See Also:
  Constant Field Values

Constructor Detail

### ReportErrorHandler

    public ReportErrorHandler()

Method Detail

### error

    public void error(org.xml.sax.SAXParseException e)
               throws org.xml.sax.SAXException

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)
                    throws org.xml.sax.SAXException

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`

### warning

    public void warning(org.xml.sax.SAXParseException e)

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD